|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::PhysicsRigidBody::Parameters Struct Reference

`#include <PhysicsRigidBody.h>`

List of all members.

## Public Member Functions

| Parameters ()
| Parameters (float mass, float friction=0.5f, float restitution=0.0f, float linearDamping=0.0f, float angularDamping=0.0f, bool kinematic=false, const Vector3 &anisotropicFriction=Vector3::one(), const Vector3 &linearFactor=Vector3::one(), const Vector3 &angularFactor=Vector3::one())

## Public Attributes

float | mass
float | friction
float | restitution
float | linearDamping
float | angularDamping
bool | kinematic
Vector3 | anisotropicFriction
Vector3 | linearFactor
Vector3 | angularFactor

## Detailed Description

Rigid body construction parameters.

## Constructor & Destructor Documentation

gameplay::PhysicsRigidBody::Parameters::Parameters | ( |  | ) | `[inline]`

Constructor.

gameplay::PhysicsRigidBody::Parameters::Parameters | ( | float | mass,
|  | float | friction = `0.5f`,
|  | float | restitution = `0.0f`,
|  | float | linearDamping = `0.0f`,
|  | float | angularDamping = `0.0f`,
|  | bool | kinematic = `false`,
|  | const Vector3 & | anisotropicFriction = `Vector3::one()`,
|  | const Vector3 & | linearFactor = `Vector3::one()`,
|  | const Vector3 & | angularFactor = `Vector3::one()`
| ) |  | `[inline]`

Constructor.

## Member Data Documentation

float gameplay::PhysicsRigidBody::Parameters::angularDamping

The percentage of angular velocity lost per second (between 0.0 and 1.0).

Vector3 gameplay::PhysicsRigidBody::Parameters::angularFactor

Angular factor for the rigid body. x, y, z coordinates correspond to world space rotation along these axes. Use 1.0 to allow or 0.0 to disallow rotation along certain axis.

Vector3 gameplay::PhysicsRigidBody::Parameters::anisotropicFriction

The anisotropic friction term for the rigid body.

float gameplay::PhysicsRigidBody::Parameters::friction

The friction of the rigid body (non-zero values give best simulation results).

bool gameplay::PhysicsRigidBody::Parameters::kinematic

Whether the rigid body is kinematic.

float gameplay::PhysicsRigidBody::Parameters::linearDamping

The percentage of linear velocity lost per second (between 0.0 and 1.0).

Vector3 gameplay::PhysicsRigidBody::Parameters::linearFactor

Linear factor for the rigid body. x, y, z coordinates correspond to world space motion along these axes. Use 1.0 to allow or 0.0 to disallow motion along certain axis.

float gameplay::PhysicsRigidBody::Parameters::mass

The mass of the rigid body, in kilograms.

float gameplay::PhysicsRigidBody::Parameters::restitution

The restitution of the rigid body (this controls the bounciness of the rigid body; use zero for best simulation results).

All Classes Functions Variables Typedefs Enumerations Enumerator